Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002854GameMaker: Studio[All Projects] HTML5public2012-04-21 07:542013-03-06 09:47
ReporterL 
Assigned ToMike Dailly 
PriorityMediumSeverityB - MajorReproducibility<25%
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0002854: Inheritance is a bit bugged in HTML5
DescriptionIn HTML5, when an object uses event_inherited() or the matching D&D object to inherit a "destroy instance" action from a parent object, and has a separate Destroy event that overrides the parent's Destroy event, the parent's Destroy event is called instead of the object's Destroy event.
Steps To ReproduceSee the example. Compare Windows and HTML5 output.
GM Version
Attached Files? file icon Inheritance.gmz [^] (170,254 bytes) 2012-04-21 07:54

- Relationships

-  Notes
(0001240)
Mike Dailly (administrator)
2012-04-21 14:04

Known issue, but requires a fairly hefty rework so has been put off for now.
(0013046)
Daniel Cleaton (administrator)
2012-12-04 11:58

Seems fine in v714 - but we suspect this has been quietly fixed for a little while, so v711 should be the same. You get the red object each time on Windows and HTML5 (and the other platforms, for that matter). Resolving as Fixed.

- Issue History
Date Modified Username Field Change
2012-04-21 07:54 L New Issue
2012-04-21 07:54 L File Added: Inheritance.gmz
2012-04-21 14:03 Mike Dailly Assigned To => Mike Dailly
2012-04-21 14:03 Mike Dailly Status new => assigned
2012-04-21 14:04 Mike Dailly Note Added: 0001240
2012-12-04 11:58 Daniel Cleaton Note Added: 0013046
2012-12-04 11:58 Daniel Cleaton Status assigned => resolved
2012-12-04 11:58 Daniel Cleaton Resolution open => fixed
2013-03-06 09:47 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker